import java.util.*;
import java.util.stream.IntStream;

public class Sample {
  public static boolean isPrime(int number) {
    // for(int i = 2; i < number; i++) {
    //   if (number % i == 0) return false;
    // }
    // return number > 1;
    
    return number > 1 && 
      IntStream.range(2, number)
               .noneMatch(i -> number % i == 0);
  }
  
	public static void main(String[] args) {
    // for(int i = 0; i < 10; i++) {
    //   System.out.println(i + " is prime?:" + isPrime(i));
    // }
    
    IntStream.range(0, 10)
             .forEach(i -> System.out.println(i + " is prime?:" + isPrime(i)));
  }  
}


