import java.util.*;
import java.util.stream.IntStream;

public class Sample {
  public static boolean isPrime(int number) {
    return number > 1 && 
      IntStream.range(2, number)
               .noneMatch(i -> number % i == 0);
  }

	public static void main(String[] args) {
	  //Find the first prime number greater than 100, where it's sqrt is greater than 20
	  
	  int number = 100;
	  while(true) {
	    if(isPrime(number)) {
	      if(Math.sqrt(number) > 20) {
	        break;
	      }
	    }
	    
	    number++;
	  }
	  
	  System.out.println("First Prime number > 100 whose sqrt > 20 is: " + number);
  }  
}


